Atom feed of this document
 

 Versions

The Quantum API uses a URI based versioning scheme. The first element of the URI path contains the target version identifier.

 

Example 3.4. Request with URI versioning

GET /v1.0/tenants/tenantX/networks HTTP/1.1
Host 127.0.0.1:9696
Accept text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Content-Type application/xml; charset=UTF-8
Content-Length 22
                


Available API versions can be retrieved by performing a GET on the root URL (i.e. with the version and everything to the right of it truncated) of the Quantum Service.

 

Example 3.5. Versions List Request/Response (XML)

GET / HTTP/1.1
Host 127.0.0.1:9696
Content-Type application/xml
                
<versions>
	<version id="v1.0" status="CURRENT">
		<links>
			<link href="http://127.0.0.1:9696/v1.0" rel="self"/>
		</links>
	</version>
	<version id="v1.1" status="FUTURE">
		<links>
			<link href="http://127.0.0.1:9696/v1.1" rel="self"/>
		</links>
	</version>
</versions>

                

 

Example 3.6. Version List Request/Response: JSON

GET / HTTP/1.1
Host 127.0.0.1:9696
Content-Type application/json
                
{
   "versions": [
       {
           "status": "CURRENT",
           "id": "v1.0",
           "links": [
               {
                   "href": "http://127.0.0.1:9696/v1.0", 
                   "rel": "self"
               }
           ]
       }, 
       {
           "status": "FUTURE",
           "id": "v1.1",
           "links": [
               {
                   "href": "http://127.0.0.1:9696/v1.1",
                   "rel": "self"
               }
           ]
       }
   ]
}